note = 'The file dolphins.gml contains an undirected social network of frequent associations between 62 dolphins in a community living off Doubtful Sound, New Zealand, as compiled by Lusseau et al. (2003).  Please cite    D. Lusseau, K. Schneider, O. J. Boisseau, P. Haase, E. Slooten, and   S. M. Dawson, The bottlenose dolphin community of Doubtful Sound features   a large proportion of long-lasting associations, Behavioral Ecology and   Sociobiology 54, 396-405 (2003).  Additional information on the network can be found in    D. Lusseau, The emergent properties of a dolphin social network,   Proc. R. Soc. London B (suppl.) 270, S186-S188 (2003).    D. Lusseau, Evidence for social role in a dolphin social network,   Preprint q-bio/0607048 (http://arxiv.org/abs/q-bio.PE/0607048)';
labels{1,1} = 'Beak';
labels{2,1} = 'Beescratch';
labels{3,1} = 'Bumper';
labels{4,1} = 'CCL';
labels{5,1} = 'Cross';
labels{6,1} = 'DN16';
labels{7,1} = 'DN21';
labels{8,1} = 'DN63';
labels{9,1} = 'Double';
labels{10,1} = 'Feather';
labels{11,1} = 'Fish';
labels{12,1} = 'Five';
labels{13,1} = 'Fork';
labels{14,1} = 'Gallatin';
labels{15,1} = 'Grin';
labels{16,1} = 'Haecksel';
labels{17,1} = 'Hook';
labels{18,1} = 'Jet';
labels{19,1} = 'Jonah';
labels{20,1} = 'Knit';
labels{21,1} = 'Kringel';
labels{22,1} = 'MN105';
labels{23,1} = 'MN23';
labels{24,1} = 'MN60';
labels{25,1} = 'MN83';
labels{26,1} = 'Mus';
labels{27,1} = 'Notch';
labels{28,1} = 'Number1';
labels{29,1} = 'Oscar';
labels{30,1} = 'Patchback';
labels{31,1} = 'PL';
labels{32,1} = 'Quasi';
labels{33,1} = 'Ripplefluke';
labels{34,1} = 'Scabs';
labels{35,1} = 'Shmuddel';
labels{36,1} = 'SMN5';
labels{37,1} = 'SN100';
labels{38,1} = 'SN4';
labels{39,1} = 'SN63';
labels{40,1} = 'SN89';
labels{41,1} = 'SN9';
labels{42,1} = 'SN90';
labels{43,1} = 'SN96';
labels{44,1} = 'Stripes';
labels{45,1} = 'Thumper';
labels{46,1} = 'Topless';
labels{47,1} = 'TR120';
labels{48,1} = 'TR77';
labels{49,1} = 'TR82';
labels{50,1} = 'TR88';
labels{51,1} = 'TR99';
labels{52,1} = 'Trigger';
labels{53,1} = 'TSN103';
labels{54,1} = 'TSN83';
labels{55,1} = 'Upbang';
labels{56,1} = 'Vau';
labels{57,1} = 'Wave';
labels{58,1} = 'Web';
labels{59,1} = 'Whitetip';
labels{60,1} = 'Zap';
labels{61,1} = 'Zig';
labels{62,1} = 'Zipfel';
rowindices = zeros(62,1);
colindices = zeros(62,1);
weights = zeros(62,1);
rowindices(1) = 9;
colindices(1) = 4;
weights(1) = 1;
rowindices(2) = 10;
colindices(2) = 6;
weights(2) = 1;
rowindices(3) = 10;
colindices(3) = 7;
weights(3) = 1;
rowindices(4) = 11;
colindices(4) = 1;
weights(4) = 1;
rowindices(5) = 11;
colindices(5) = 3;
weights(5) = 1;
rowindices(6) = 14;
colindices(6) = 6;
weights(6) = 1;
rowindices(7) = 14;
colindices(7) = 7;
weights(7) = 1;
rowindices(8) = 14;
colindices(8) = 10;
weights(8) = 1;
rowindices(9) = 15;
colindices(9) = 1;
weights(9) = 1;
rowindices(10) = 15;
colindices(10) = 4;
weights(10) = 1;
rowindices(11) = 16;
colindices(11) = 1;
weights(11) = 1;
rowindices(12) = 17;
colindices(12) = 15;
weights(12) = 1;
rowindices(13) = 18;
colindices(13) = 2;
weights(13) = 1;
rowindices(14) = 18;
colindices(14) = 7;
weights(14) = 1;
rowindices(15) = 18;
colindices(15) = 10;
weights(15) = 1;
rowindices(16) = 18;
colindices(16) = 14;
weights(16) = 1;
rowindices(17) = 19;
colindices(17) = 16;
weights(17) = 1;
rowindices(18) = 20;
colindices(18) = 2;
weights(18) = 1;
rowindices(19) = 20;
colindices(19) = 8;
weights(19) = 1;
rowindices(20) = 21;
colindices(20) = 9;
weights(20) = 1;
rowindices(21) = 21;
colindices(21) = 17;
weights(21) = 1;
rowindices(22) = 21;
colindices(22) = 19;
weights(22) = 1;
rowindices(23) = 22;
colindices(23) = 19;
weights(23) = 1;
rowindices(24) = 23;
colindices(24) = 18;
weights(24) = 1;
rowindices(25) = 25;
colindices(25) = 15;
weights(25) = 1;
rowindices(26) = 25;
colindices(26) = 16;
weights(26) = 1;
rowindices(27) = 25;
colindices(27) = 19;
weights(27) = 1;
rowindices(28) = 26;
colindices(28) = 18;
weights(28) = 1;
rowindices(29) = 27;
colindices(29) = 2;
weights(29) = 1;
rowindices(30) = 27;
colindices(30) = 26;
weights(30) = 1;
rowindices(31) = 28;
colindices(31) = 2;
weights(31) = 1;
rowindices(32) = 28;
colindices(32) = 8;
weights(32) = 1;
rowindices(33) = 28;
colindices(33) = 18;
weights(33) = 1;
rowindices(34) = 28;
colindices(34) = 26;
weights(34) = 1;
rowindices(35) = 28;
colindices(35) = 27;
weights(35) = 1;
rowindices(36) = 29;
colindices(36) = 2;
weights(36) = 1;
rowindices(37) = 29;
colindices(37) = 9;
weights(37) = 1;
rowindices(38) = 29;
colindices(38) = 21;
weights(38) = 1;
rowindices(39) = 30;
colindices(39) = 11;
weights(39) = 1;
rowindices(40) = 30;
colindices(40) = 19;
weights(40) = 1;
rowindices(41) = 30;
colindices(41) = 22;
weights(41) = 1;
rowindices(42) = 30;
colindices(42) = 25;
weights(42) = 1;
rowindices(43) = 31;
colindices(43) = 8;
weights(43) = 1;
rowindices(44) = 31;
colindices(44) = 20;
weights(44) = 1;
rowindices(45) = 31;
colindices(45) = 29;
weights(45) = 1;
rowindices(46) = 32;
colindices(46) = 18;
weights(46) = 1;
rowindices(47) = 33;
colindices(47) = 10;
weights(47) = 1;
rowindices(48) = 33;
colindices(48) = 14;
weights(48) = 1;
rowindices(49) = 34;
colindices(49) = 13;
weights(49) = 1;
rowindices(50) = 34;
colindices(50) = 15;
weights(50) = 1;
rowindices(51) = 34;
colindices(51) = 17;
weights(51) = 1;
rowindices(52) = 34;
colindices(52) = 22;
weights(52) = 1;
rowindices(53) = 35;
colindices(53) = 15;
weights(53) = 1;
rowindices(54) = 35;
colindices(54) = 34;
weights(54) = 1;
rowindices(55) = 36;
colindices(55) = 30;
weights(55) = 1;
rowindices(56) = 37;
colindices(56) = 2;
weights(56) = 1;
rowindices(57) = 37;
colindices(57) = 21;
weights(57) = 1;
rowindices(58) = 37;
colindices(58) = 24;
weights(58) = 1;
rowindices(59) = 38;
colindices(59) = 9;
weights(59) = 1;
rowindices(60) = 38;
colindices(60) = 15;
weights(60) = 1;
rowindices(61) = 38;
colindices(61) = 17;
weights(61) = 1;
rowindices(62) = 38;
colindices(62) = 22;
weights(62) = 1;
rowindices(63) = 38;
colindices(63) = 34;
weights(63) = 1;
rowindices(64) = 38;
colindices(64) = 35;
weights(64) = 1;
rowindices(65) = 38;
colindices(65) = 37;
weights(65) = 1;
rowindices(66) = 39;
colindices(66) = 15;
weights(66) = 1;
rowindices(67) = 39;
colindices(67) = 17;
weights(67) = 1;
rowindices(68) = 39;
colindices(68) = 21;
weights(68) = 1;
rowindices(69) = 39;
colindices(69) = 34;
weights(69) = 1;
rowindices(70) = 40;
colindices(70) = 37;
weights(70) = 1;
rowindices(71) = 41;
colindices(71) = 1;
weights(71) = 1;
rowindices(72) = 41;
colindices(72) = 8;
weights(72) = 1;
rowindices(73) = 41;
colindices(73) = 15;
weights(73) = 1;
rowindices(74) = 41;
colindices(74) = 16;
weights(74) = 1;
rowindices(75) = 41;
colindices(75) = 34;
weights(75) = 1;
rowindices(76) = 41;
colindices(76) = 37;
weights(76) = 1;
rowindices(77) = 41;
colindices(77) = 38;
weights(77) = 1;
rowindices(78) = 42;
colindices(78) = 2;
weights(78) = 1;
rowindices(79) = 42;
colindices(79) = 10;
weights(79) = 1;
rowindices(80) = 42;
colindices(80) = 14;
weights(80) = 1;
rowindices(81) = 43;
colindices(81) = 1;
weights(81) = 1;
rowindices(82) = 43;
colindices(82) = 3;
weights(82) = 1;
rowindices(83) = 43;
colindices(83) = 11;
weights(83) = 1;
rowindices(84) = 43;
colindices(84) = 31;
weights(84) = 1;
rowindices(85) = 44;
colindices(85) = 15;
weights(85) = 1;
rowindices(86) = 44;
colindices(86) = 30;
weights(86) = 1;
rowindices(87) = 44;
colindices(87) = 34;
weights(87) = 1;
rowindices(88) = 44;
colindices(88) = 38;
weights(88) = 1;
rowindices(89) = 44;
colindices(89) = 39;
weights(89) = 1;
rowindices(90) = 45;
colindices(90) = 3;
weights(90) = 1;
rowindices(91) = 45;
colindices(91) = 21;
weights(91) = 1;
rowindices(92) = 45;
colindices(92) = 35;
weights(92) = 1;
rowindices(93) = 45;
colindices(93) = 39;
weights(93) = 1;
rowindices(94) = 46;
colindices(94) = 9;
weights(94) = 1;
rowindices(95) = 46;
colindices(95) = 16;
weights(95) = 1;
rowindices(96) = 46;
colindices(96) = 19;
weights(96) = 1;
rowindices(97) = 46;
colindices(97) = 22;
weights(97) = 1;
rowindices(98) = 46;
colindices(98) = 24;
weights(98) = 1;
rowindices(99) = 46;
colindices(99) = 25;
weights(99) = 1;
rowindices(100) = 46;
colindices(100) = 30;
weights(100) = 1;
rowindices(101) = 46;
colindices(101) = 38;
weights(101) = 1;
rowindices(102) = 47;
colindices(102) = 44;
weights(102) = 1;
rowindices(103) = 48;
colindices(103) = 1;
weights(103) = 1;
rowindices(104) = 48;
colindices(104) = 11;
weights(104) = 1;
rowindices(105) = 48;
colindices(105) = 21;
weights(105) = 1;
rowindices(106) = 48;
colindices(106) = 29;
weights(106) = 1;
rowindices(107) = 48;
colindices(107) = 31;
weights(107) = 1;
rowindices(108) = 48;
colindices(108) = 43;
weights(108) = 1;
rowindices(109) = 50;
colindices(109) = 35;
weights(109) = 1;
rowindices(110) = 50;
colindices(110) = 47;
weights(110) = 1;
rowindices(111) = 51;
colindices(111) = 15;
weights(111) = 1;
rowindices(112) = 51;
colindices(112) = 17;
weights(112) = 1;
rowindices(113) = 51;
colindices(113) = 21;
weights(113) = 1;
rowindices(114) = 51;
colindices(114) = 34;
weights(114) = 1;
rowindices(115) = 51;
colindices(115) = 43;
weights(115) = 1;
rowindices(116) = 51;
colindices(116) = 46;
weights(116) = 1;
rowindices(117) = 52;
colindices(117) = 5;
weights(117) = 1;
rowindices(118) = 52;
colindices(118) = 12;
weights(118) = 1;
rowindices(119) = 52;
colindices(119) = 19;
weights(119) = 1;
rowindices(120) = 52;
colindices(120) = 22;
weights(120) = 1;
rowindices(121) = 52;
colindices(121) = 24;
weights(121) = 1;
rowindices(122) = 52;
colindices(122) = 25;
weights(122) = 1;
rowindices(123) = 52;
colindices(123) = 30;
weights(123) = 1;
rowindices(124) = 52;
colindices(124) = 46;
weights(124) = 1;
rowindices(125) = 52;
colindices(125) = 51;
weights(125) = 1;
rowindices(126) = 53;
colindices(126) = 15;
weights(126) = 1;
rowindices(127) = 53;
colindices(127) = 30;
weights(127) = 1;
rowindices(128) = 53;
colindices(128) = 39;
weights(128) = 1;
rowindices(129) = 53;
colindices(129) = 41;
weights(129) = 1;
rowindices(130) = 54;
colindices(130) = 44;
weights(130) = 1;
rowindices(131) = 55;
colindices(131) = 2;
weights(131) = 1;
rowindices(132) = 55;
colindices(132) = 7;
weights(132) = 1;
rowindices(133) = 55;
colindices(133) = 8;
weights(133) = 1;
rowindices(134) = 55;
colindices(134) = 14;
weights(134) = 1;
rowindices(135) = 55;
colindices(135) = 20;
weights(135) = 1;
rowindices(136) = 55;
colindices(136) = 42;
weights(136) = 1;
rowindices(137) = 56;
colindices(137) = 16;
weights(137) = 1;
rowindices(138) = 56;
colindices(138) = 52;
weights(138) = 1;
rowindices(139) = 57;
colindices(139) = 6;
weights(139) = 1;
rowindices(140) = 57;
colindices(140) = 7;
weights(140) = 1;
rowindices(141) = 58;
colindices(141) = 6;
weights(141) = 1;
rowindices(142) = 58;
colindices(142) = 7;
weights(142) = 1;
rowindices(143) = 58;
colindices(143) = 10;
weights(143) = 1;
rowindices(144) = 58;
colindices(144) = 14;
weights(144) = 1;
rowindices(145) = 58;
colindices(145) = 18;
weights(145) = 1;
rowindices(146) = 58;
colindices(146) = 40;
weights(146) = 1;
rowindices(147) = 58;
colindices(147) = 42;
weights(147) = 1;
rowindices(148) = 58;
colindices(148) = 49;
weights(148) = 1;
rowindices(149) = 58;
colindices(149) = 55;
weights(149) = 1;
rowindices(150) = 59;
colindices(150) = 39;
weights(150) = 1;
rowindices(151) = 60;
colindices(151) = 4;
weights(151) = 1;
rowindices(152) = 60;
colindices(152) = 9;
weights(152) = 1;
rowindices(153) = 60;
colindices(153) = 16;
weights(153) = 1;
rowindices(154) = 60;
colindices(154) = 37;
weights(154) = 1;
rowindices(155) = 60;
colindices(155) = 46;
weights(155) = 1;
rowindices(156) = 61;
colindices(156) = 33;
weights(156) = 1;
rowindices(157) = 62;
colindices(157) = 3;
weights(157) = 1;
rowindices(158) = 62;
colindices(158) = 38;
weights(158) = 1;
rowindices(159) = 62;
colindices(159) = 54;
weights(159) = 1;
A = sparse(rowindices,colindices,weights,62,62);
